import { html as c } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, i = (p, o, s, t) => {
  for (var e = t > 1 ? void 0 : t ? v(o, s) : o, l = p.length - 1, n; l >= 0; l--)
    (n = p[l]) && (e = (t ? n(o, s, e) : n(e)) || e);
  return t && e && m(o, s, e), e;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--download", this.class = "c-pieIcon c-pieIcon--download", this.name = "IconDownload";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--download"><path d="M7.344 7.414V1h1.312v6.414l1.672-1.671.927.927-2.503 2.502a1.06 1.06 0 0 1-1.505 0L4.746 6.67l.928-.928zm5.031-4.445h-2.38V4.28h2.38a.22.22 0 0 1 .219.219v7.875a.22.22 0 0 1-.219.219h-8.75a.22.22 0 0 1-.219-.219V4.5a.22.22 0 0 1 .219-.219h2.38V2.97h-2.38A1.54 1.54 0 0 0 2.094 4.5v7.875a1.54 1.54 0 0 0 1.531 1.531h8.75a1.54 1.54 0 0 0 1.531-1.531V4.5a1.54 1.54 0 0 0-1.531-1.531"></path></svg>`;
  }
};
i([
  a({ type: String, reflect: !0 })
], r.prototype, "size", 2);
i([
  a({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = i([
  f("icon-download")
], r);
export {
  r as IconDownload
};
